Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Math/Matrix.cpp File Reference

Implements RotationMatrix. More...

`#include "Matrix.h"`
`#include "Common.h"`
`#include "Tools/Streams/Streamable.h"`

Include dependency graph for Matrix.cpp:

Go to the source code of this file.

## Functions
template<class V> In & | operator>> (In &stream, Matrix3x3< V > &matrix3x3)
| Streaming operator that reads a Matrix3x3<V> from a stream.
template<class V> Out & | operator<< (Out &stream, const Matrix3x3< V > &matrix3x3)
| Streaming operator that writes a Matrix3x3<V> to a stream.
In & | operator>> (In &stream, RotationMatrix &rotationMatrix)
| Streaming operator that reads a RotationMatrix from a stream.
Out & | operator<< (Out &stream, const RotationMatrix &rotationMatrix)
| Streaming operator that writes a RotationMatrix to a stream.

## Detailed Description

Implements RotationMatrix.

Author:
  Martin Kallnik

  Max Risler

Definition in file Matrix.cpp.

## Function Documentation

template<class V>
In& operator>> | ( | In & | stream,
|  | Matrix3x3< V > & | matrix3x3
| ) |

  | Streaming operator that reads a Matrix3x3<V> from a stream. Parameters:
  stream | The stream from which is read.
  matrix3x3 | The Matrix3x3<V> object.
Returns: The stream. Definition at line 84 of file Matrix.cpp.

template<class V>
Out& operator<< | ( | Out & | stream,
|  | const Matrix3x3< V > & | matrix3x3
| ) |

  | Streaming operator that writes a Matrix3x3<V> to a stream. Parameters:
  stream | The stream to write on.
  matrix3x3 | The Matrix3x3<V> object.
Returns: The stream. Definition at line 100 of file Matrix.cpp.

In& operator>> | ( | In & | stream,
|  | RotationMatrix & | rotationMatrix
| ) |

  | Streaming operator that reads a RotationMatrix from a stream. Parameters:
  stream | The stream from which is read.
  rotationMatrix | The RotationMatrix object.
Returns: The stream. Definition at line 115 of file Matrix.cpp.

Out& operator<< | ( | Out & | stream,
|  | const RotationMatrix & | rotationMatrix
| ) |

  | Streaming operator that writes a RotationMatrix to a stream. Parameters:
  stream | The stream to write on.
  rotationMatrix | The RotationMatrix object.
Returns: The stream. Definition at line 130 of file Matrix.cpp.